gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.TransformNode

Contents

- Exported types
- Methods
  - getChild
  - getTransform
  - new

Description

A render node applying a `GskTransform` to its single child node.

Synopsis

- newtype TransformNode = TransformNode (ManagedPtr TransformNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf TransformNode o) => IsTransformNode o
- toTransformNode :: (MonadIO m, IsTransformNode o) => o -> m TransformNode
- transformNodeGetChild :: (HasCallStack, MonadIO m, IsTransformNode a) => a -> m RenderNode
- transformNodeGetTransform :: (HasCallStack, MonadIO m, IsTransformNode a) => a -> m Transform
- transformNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => a -> Maybe Transform -> m TransformNode

# Exported types

newtype TransformNode Source #

Memory-managed wrapper type.

Constructors

TransformNode (ManagedPtr TransformNode) |

#### Instances

Instances details

Eq TransformNode Source # |
Instance details Defined in GI.Gsk.Objects.TransformNode Methods (==) :: TransformNode -> TransformNode -> Bool Source # (/=) :: TransformNode -> TransformNode -> Bool Source #
BoxedPtr TransformNode Source # |
Instance details Defined in GI.Gsk.Objects.TransformNode Methods boxedPtrCopy :: TransformNode -> IO TransformNode Source # boxedPtrFree :: TransformNode -> IO () Source #
ManagedPtrNewtype TransformNode Source # |
Instance details Defined in GI.Gsk.Objects.TransformNode Methods toManagedPtr :: TransformNode -> ManagedPtr TransformNode Source #
TypedObject TransformNode Source # |
Instance details Defined in GI.Gsk.Objects.TransformNode Methods glibType :: IO GType Source #
HasParentTypes TransformNode Source # |
Instance details Defined in GI.Gsk.Objects.TransformNode
type ParentTypes TransformNode Source # |
Instance details Defined in GI.Gsk.Objects.TransformNode type ParentTypes TransformNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf TransformNode o) => IsTransformNode o Source #

Type class for types which can be safely cast to `TransformNode`, for instance with `toTransformNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf TransformNode o) => IsTransformNode o Source # |
Instance details Defined in GI.Gsk.Objects.TransformNode

toTransformNode :: (MonadIO m, IsTransformNode o) => o -> m TransformNode Source #

Cast to `TransformNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getNodeType, getOpaqueRect, getTransform.

#### Setters

None.

## getChild

transformNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsTransformNode a) |
=> a | `node`: a `GskRenderNode` for a transform
-> m RenderNode | Returns: The child that is getting transformed

Gets the child node that is getting transformed by the given `node`.

## getTransform

transformNodeGetTransform Source #

Arguments

:: (HasCallStack, MonadIO m, IsTransformNode a) |
=> a | `node`: a `GskRenderNode` for a transform
-> m Transform | Returns: a `GskTransform`

Retrieves the `GskTransform` used by the `node`.

## new

transformNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> a | `child`: The node to transform
-> Maybe Transform | `transform`: The transform to apply
-> m TransformNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will transform the given `child` with the given `transform`.